- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::MonitorController Class Reference

The Controller class. More...

`#include <MonitorController.h>`

Inheritance diagram for CIAO::MonitorController:

[legend]
Collaboration diagram for CIAO::MonitorController:

[legend]
List of all members.

## Public Member Functions
int | svc (void)
| The main function containing the entire activity.
void | terminate ()
| The terminate function.
| MonitorController (CORBA::ORB_ptr orb,::Deployment::Domain &domain,::Deployment::TargetManager_ptr target)
| The Constructor.
| ~MonitorController ()
## Protected Member Functions
bool | terminating ()
| returns the terminating flag
## Protected Attributes
auto_ptr< MonitorBase > | monitor_
| The monitor object.
CIAO::TargetManagerImpl_var | target_impl_cmp_
| The TargetManagerImpl object.
Deployment::TargetManager_var | target_facet_i_
| The TargetManager Facet ....
bool | terminate_flag_
| The terminate flag_.
ACE_SYNCH_MUTEX | lock_
CORBA::ORB_ptr | orb_
::Deployment::Domain | initial_domain_
| The initial domain.

## Detailed Description

The Controller class.

Acts as a facade to the Monitor module

## Constructor & Destructor Documentation

CIAO::MonitorController::MonitorController | ( | CORBA::ORB_ptr | orb,
|  | ::Deployment::Domain & | domain,
|  | ::Deployment::TargetManager_ptr | target |
| ) |  |  |

The Constructor.

CIAO::MonitorController::~MonitorController | ( |  | ) |

## Member Function Documentation

int CIAO::MonitorController::svc | ( | void |  | ) | `[virtual]`

The main function containing the entire activity.

svc.

This function runs in the context of the thread

Returns:
  int The status of the function

Reimplemented from ACE_Task_Base.

void CIAO::MonitorController::terminate | ( |  | ) |

The terminate function.

terminate.

This function is called to terminate the thread

bool CIAO::MonitorController::terminating | ( |  | ) | `[protected]`

returns the terminating flag

terminating.

Returns:
  bool The terminting state of the thread

## Member Data Documentation

::Deployment::Domain CIAO::MonitorController::initial_domain_`[protected]`

The initial domain.

ACE_SYNCH_MUTEX CIAO::MonitorController::lock_`[protected]`

auto_ptr<MonitorBase> CIAO::MonitorController::monitor_`[protected]`

The monitor object.

CORBA::ORB_ptr CIAO::MonitorController::orb_`[protected]`

Deployment::TargetManager_var CIAO::MonitorController::target_facet_i_`[protected]`

The TargetManager Facet ....

CIAO::TargetManagerImpl_var CIAO::MonitorController::target_impl_cmp_`[protected]`

The TargetManagerImpl object.

bool CIAO::MonitorController::terminate_flag_`[protected]`

The terminate flag_.

The documentation for this class was generated from the following files:

- MonitorController.h
- MonitorController.cpp